Name: gimp-print
Version: 4.1.99
Release: alt3

Summary: GIMP-Print plugin for high-quality image printing
Group: Publishing
License: GPL
Requires: ghostscript lib%name
Url: http://gimp-print.sourceforge.net/

Source: http://gimp-print.sourceforge.net/gimp-print-%version-a2.tar.bz2

%package -n lib%name
Summary: Shared library for high-quality image printing
Group: Publishing

%package -n lib%name-devel
Summary: Headers and links for compiling against libgimpprint
Group: Development/C
Requires: lib%name = %version-%release

%package plugin
Summary: GIMP-Print plugin for high-quality image printing
Group: Publishing
Requires: gimp, lib%name = %version-%release

%package foomatic
Summary: Shared library for high-quality image printing
Group: Publishing
Requires: %name = %version-%release

%package CUPS
Summary: Shared library for high-quality image printing
Group: Publishing
Requires: %name = %version-%release

%description
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.

This package contains common files for %name.

%description -n lib%name
This is a high-quality printing library used by the GIMP-Print plugin,
the "stp" color/photo inkjet/laser driver in GhostScript, and by
specialized CUPS drivers.

%description -n lib%name-devel
These are the links and header files to compile applications which should
use the libgimpprint library.

%description plugin
This is a plug-in for the GIMP, which allows printing of images and
photos in very high quality on many modern inkjet printers and also
some lasers. Especially on Epson Stylus printers the quality which one
gets under proprietary operating systems is reached, due to Epson
publishing the protocols of their printers, but other brands of
printers give very high qualities, too. It can also output PostScript
to be able to print out of the GIMP on any printer.

%description foomatic
Drivers for foomatic

%description CUPS
Drivers for CUPS

%prep
%setup -q -n gimp-print-%version-a2

#foomatic kitload hack
perl -p -i -e 's@foomatic-kitload@\./foomatic-kitload@' src/foomatic/Makefile.am
perl -p -i -e 's@foomatic-kitload@\./foomatic-kitload@' src/foomatic/Makefile.in
cp /usr/sbin/foomatic-kitload src/foomatic
perl -p -i -e 's@die \"No \\\$libdir.*@@' src/foomatic/foomatic-kitload
perl -p -i -e 's@.*unless \$libdir.*@\$libdir="%buildroot%_datadir/foomatic";@' src/foomatic/foomatic-kitload

%build
#./autogen.sh
%configure  --with-cups --with-gimp --with-foomatic
>doc/version.texi
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/foomatic/db/source

# Fake the gimptool because it only installs into the root file system and
# not into buildroot
cat >fakedgimptool <<EOF
#!/bin/sh
install -m 755 print $RPM_BUILD_ROOT%_libdir/gimp/1.2/plug-ins/
EOF
chmod 755 fakedgimptool

# Make the directory for the GIMP-Plugin
install -d $RPM_BUILD_ROOT%_libdir/gimp/1.2/plug-ins/

# Install the files
%makeinstall GIMPTOOL=$RPM_BUILD_DIR/gimp-print-%version-a2/fakedgimptool

mkdir -p $RPM_BUILD_ROOT%_datadir/cups/model/%name
mv  $RPM_BUILD_ROOT%_datadir/cups/model/*ppd* $RPM_BUILD_ROOT%_datadir/cups/model/%name

%find_lang %name

%post
%install_info gimpprint.info

%preun
%uninstall_info gimpprint.info

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -f %name.lang
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README doc/manual-html
%_bindir/cups-calibrate
%_libdir/cups/*
%_bindir/escputil
%_infodir/*.info*
%_mandir/man?/*

%files -n lib%name
%_libdir/libgimpprint-4.1.99-a2.so

%files -n lib%name-devel
%_bindir/*-config
%_libdir/libgimpprint.so
%_libdir/*.la
%_includedir/*
%_datadir/aclocal/*

%files plugin
%_libdir/gimp/1.2/plug-ins/print

%files foomatic
%_datadir/foomatic/db/*

%files CUPS
%_datadir/cups/*


%changelog
* Mon Aug 13 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt3
- Splited again: common files (filters,docs); CUPS only drivers, foomatic only drivers.

* Fri Aug 10 2001 AEN <aen@logic.ru> 4.1.99-alt2
- added plugin package
- a2

* Mon Aug 06 2001 Stanislav Ievlev <inger@altlinux.ru> 4.1.99-alt1
- Initial release for ALT Linux.
- Now we are splitting cups-drivers into separate packages.
